<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <button type="submit" form="form-ociretailapi" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid">
    <?php if ($success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-ociretailapi" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_power; ?></label>
            <div class="col-sm-10">
              <select name="ociretailapi_power" class="form-control" style="width:200px;display:inline-block;">
                <?php if ($ociretailapi_power) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
              Отправлять на фискализатор
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_mode; ?></label>
            <div class="col-sm-10">
              <select name="ociretailapi_mode" class="form-control">
                <?php if ($ociretailapi_mode) { ?>
                <option value="1" selected="selected"><?php echo $entry_ociretailapi_mode_1; ?></option>
                <option value="0"><?php echo $entry_ociretailapi_mode_0; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $entry_ociretailapi_mode_1; ?></option>
                <option value="0" selected="selected"><?php echo $entry_ociretailapi_mode_0; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_log; ?></label>
            <div class="col-sm-10">
              <select name="ociretailapi_log" class="form-control">
                <?php if ($ociretailapi_log) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select>
            </div>
          </div>          
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_login; ?></label>
            <div class="col-sm-10">
              <input type="text" name="ociretailapi_login" value="<?php echo $ociretailapi_login; ?>" placeholder="<?php echo $entry_ociretailapi_login; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_apikey; ?></label>
            <div class="col-sm-10">
              <input type="text" name="ociretailapi_apikey" value="<?php echo $ociretailapi_apikey; ?>" placeholder="<?php echo $entry_ociretailapi_apikey; ?>" class="form-control" />
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_printmode; ?></label>
            <div class="col-sm-10">
              <select name="ociretailapi_printmode" class="form-control">
                <? foreach (IRetailApi::$aPrintModes as $k=>$v) { ?>
                    <option value="<?=$k?>" <?=$k==$ociretailapi_printmode?'selected=\'selected\'':'';?>><?=$v?></option>
                <? } ?>                
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_notifymode; ?></label>
            <div class="col-sm-10">
              <select name="ociretailapi_notifymode" class="form-control">
                <? foreach (IRetailApi::$aNotifyModes as $k=>$v) { ?>
                    <option value="<?=$k?>" <?=$k==$ociretailapi_notifymode?'selected=\'selected\'':'';?>><?=$v?></option>
                <? } ?>                
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_emails; ?></label>
            <div class="col-sm-10">
              <input type="text" name="ociretailapi_emails" value="<?php echo $ociretailapi_emails; ?>" placeholder="<?php echo $entry_ociretailapi_emails; ?>" class="form-control" />
            </div>
          </div>          
          <div class="form-group">
            <label class="col-sm-2 control-label"><?php echo $entry_ociretailapi_statuses; ?></label>
            <div class="col-sm-10">
              <div class="well well-sm" style="height: 150px; overflow: auto;">
                <?php foreach ($order_statuses as $order_status) { ?>
                <div class="checkbox">
                  <label>
                    <?php if (in_array($order_status['order_status_id'], $ociretailapi_statuses)) { ?>
                    <input type="checkbox" name="ociretailapi_statuses[]" value="<?php echo $order_status['order_status_id']; ?>" checked="checked" />
                    <?php echo $order_status['name']; ?>
                    <?php } else { ?>
                    <input type="checkbox" name="ociretailapi_statuses[]" value="<?php echo $order_status['order_status_id']; ?>" />
                    <?php echo $order_status['name']; ?>
                    <?php } ?>
                  </label>
                </div>
                <?php } ?>
              </div>
            </div>
          </div>
        </form>

        <form action="" method="post" class="clearfix">
          <input type="hidden" name="ir_clearlog" value="1">
          <h2>Журнал работы i-Retail API &nbsp;&nbsp;&nbsp;&nbsp;<button class="pull-right btn btn-warning">Очистить журнал</button></h2>
        </form>         
        <div class="well well-sm" style="max-height:500px;overflow:auto;white-space: pre-wrap;margin:10px 0;"><?
          $l=IRetailAPI::getLog();
          if (trim($l))
            echo (htmlspecialchars($l));
          else
            echo 'Журнал пуст';
        ?></div>        
      </div>
    </div>
  </div>
</div>
<?php echo $footer; ?>